#include <avr/io.h>
#include <avr/interrupt.h>
#include "ln_interface.h"
#include "sysdef.h"
#include "lcd_dip122.h"

/******************************************************************************/
// loconet
/******************************************************************************/
LnBuf RxBuffer;
lnMsg *RxPacket;
LN_STATUS RxStatus ;
word      RxMsgCount ;
lnMsg TxPacket;

int main(void)
{  
  init_lcd ();
  display_on();
  lcd_cleardisplay();
  lcd_drawing_mode = lcd_xor;

  initLocoNet(&RxBuffer);

  loop_until_bit_is_set (LN_RX_PORT, LN_RX_BIT);    // wait for start of loconet
  
  sei();

  while (1) {
    RxPacket = 0;
    RxPacket = recvLocoNetPacket();
  }
}	



